Index: src/FLEXPART.f90
===================================================================
--- src/FLEXPART.f90	(revision 5fc7b6860cb270be079a849feb9e654f6bde842a)
+++ src/FLEXPART.f90	(revision 07c3e71fd3f385404de511f95c658656679b9e29)
@@ -62,5 +62,5 @@
   implicit none
 
-  integer :: i,j,ix,jy,inest
+  integer :: i,j,ix,jy,inest, iopt
   integer :: idummy = -320
   character(len=256) :: inline_options  !pathfile, flexversion, arg2
@@ -80,5 +80,5 @@
   ! FLEXPART version string
   flexversion_major = '10' ! Major version number, also used for species file names
-  flexversion='Version '//trim(flexversion_major)//'.4 (2019-07-16)'
+  flexversion='Version '//trim(flexversion_major)//'.4 (2019-07-23)'
   verbosity=0
 
@@ -109,13 +109,41 @@
   print*,'FLEXPART is free software released under the GNU General Public License.'
  
+
+  ! Ingest inline options
+  !*******************************************************
   if (inline_options(1:1).eq.'-') then
-    if (trim(inline_options).eq.'-v'.or.trim(inline_options).eq.'-v1') then
-       print*, 'Verbose mode 1: display detailed information during run'
-       verbosity=1
-    endif
-    if (trim(inline_options).eq.'-v2') then
-       print*, 'Verbose mode 2: display more detailed information during run'
-       verbosity=2
-    endif
+    print*,'inline_options:',inline_options
+    !verbose mode
+    iopt=index(inline_options,'v') 
+    if (iopt.gt.0) then
+      verbosity=1
+      !print*, iopt, inline_options(iopt+1:iopt+1)
+      if  (trim(inline_options(iopt+1:iopt+1)).eq.'2') then
+        !print*, 'verbosity=2' 
+        print*, 'Verbose mode 2: display more detailed information during run'
+        verbosity=2
+      endif
+    endif
+
+    
+    !debug mode 
+    iopt=index(inline_options,'d')
+    if (iopt.gt.0) then
+      debug_mode=.true.
+      endif
+    endif
+
+
+    
+!      stop
+!    if (trim(inline_options).eq.'-v'.or.trim(inline_options).eq.'-v1') then
+!       print*, 'Verbose mode 1: display detailed information during run'
+!       verbosity=1
+!    endif
+!    if (trim(inline_options).eq.'-v2') then
+!       print*, 'Verbose mode 2: display more detailed information during run'
+!       verbosity=2
+!    endif
+
     if (trim(inline_options).eq.'-i') then
        print*, 'Info mode: provide detailed run specific information and stop'
@@ -135,4 +163,7 @@
     print*, 'nzmax=',nzmax
     print*,'nxshift=',nxshift 
+  endif
+  
+  if (verbosity.gt.0) then
     write(*,*) 'call readpaths'
   endif 
@@ -193,4 +224,7 @@
   ! Detect metdata format
   !**********************
+  if (verbosity.gt.0) then
+    write(*,*) 'call detectformat'
+  endif
 
   metdata_format = detectformat()
Index: src/com_mod.f90
===================================================================
--- src/com_mod.f90	(revision 2eefa58ac797f119acc28fade41beff352006040)
+++ src/com_mod.f90	(revision 07c3e71fd3f385404de511f95c658656679b9e29)
@@ -762,4 +762,5 @@
   ! Verbosity, testing flags, namelist I/O
   !********************   
+  logical :: debug_mode=.false.
   integer :: verbosity=0
   integer :: info_flag=0
Index: src/getvdep.f90
===================================================================
--- src/getvdep.f90	(revision 5f9d14aa526df192efa539f87fc409fdeeeee06c)
+++ src/getvdep.f90	(revision 07c3e71fd3f385404de511f95c658656679b9e29)
@@ -170,7 +170,4 @@
           if ((ra+rb(i)+rc(i)).gt.0.) then
             vd=1./(ra+rb(i)+rc(i))
-  ! XXXXXXXXXXXXXXXXXXXXXXXXXX TEST
-  !         vd=1./rc(i)
-  ! XXXXXXXXXXXXXXXXXXXXXXXXXX TEST
           else
             vd=9.999
@@ -188,4 +185,8 @@
   call partdep(nspec,density,fract,schmi,vset,raquer,ust,nyl,vdepo)
 
+  !if (debug_mode) then
+  !  print*,'getvdep:188: vdepo=', vdepo
+    !stop
+  !endif
 
   ! 7. If no detailed parameterization available, take constant deposition
Index: src/part0.f90
===================================================================
--- src/part0.f90	(revision e200b7adb07d4dfa7bf42f7cb43e0c85b4dbf894)
+++ src/part0.f90	(revision 07c3e71fd3f385404de511f95c658656679b9e29)
@@ -103,5 +103,5 @@
     x01=alog(d01/dquer)/xdummy
     x02=alog(d02/dquer)/xdummy
-
+    !print*,'part0:: d02=' , d02 , 'd01=', d01
 
   ! Area under Gauss-function is calculated and gives mass fraction of interval
@@ -109,5 +109,6 @@
 
     fract(i)=0.5*(erf(x01)-erf(x02))
-
+    !print*,'part0:: fract(',i,')', fract(i)
+    !print*,'part0:: fract', fract(i), x01, x02, erf(x01), erf(x02)
 
   ! Geometric mean diameter of interval in [m]
@@ -115,5 +116,5 @@
 
     dmean=1.E-6*exp(0.5*alog(d01*d02))
-
+    !print*,'part0:: dmean=', dmean
 
   ! Calculation of time independent parameters of each interval
@@ -132,5 +133,9 @@
     vsh(i)=ga*density*dmean*dmean*cun/(18.*myl)
 
+    !print*,'part0:: vsh(',i,')', vsh(i)
+
   end do
 
+  !stop 'part0' 
+
 end subroutine part0
Index: src/partdep.f90
===================================================================
--- src/partdep.f90	(revision 5f9d14aa526df192efa539f87fc409fdeeeee06c)
+++ src/partdep.f90	(revision 07c3e71fd3f385404de511f95c658656679b9e29)
@@ -72,4 +72,5 @@
 
   use par_mod
+  use com_mod, only: debug_mode
 
   implicit none
@@ -110,7 +111,18 @@
 
         vdep(ic)=vdep(ic)+vdepj*fract(ic,j)
+        
+        !print*, 'partdep:113: ic', ic, 'vdep', vdep
+        !stop
       end do
     endif
+
+
   end do
 
+  !if (debug_mode) then
+  !  print*, 'partdep:122:'
+  !  write(*,*) (vdep(ic), ic=1,nc)
+    !stop
+  !endif
+
 end subroutine partdep
Index: src/readspecies.f90
===================================================================
--- src/readspecies.f90	(revision 46f93d5170585df271971c3264b9c0f76aa648aa)
+++ src/readspecies.f90	(revision 07c3e71fd3f385404de511f95c658656679b9e29)
@@ -296,5 +296,11 @@
       if (density(pos_spec) .gt. 0) then
         write(*,'(a)') '  Dry deposition is turned         :   ON'
-      else
+        if (reldiff(pos_spec).gt.0) then
+           stop 'density>0 (SPECIES is a particle) implies reldiff <=0  '
+        endif
+      else
+        if (reldiff(pos_spec).le.0) then
+           stop 'density<=0 (SPECIES is a gas) implies reldiff >0  '
+        endif      
         write(*,'(a)') '  Dry deposition is (density<0)    :   OFF'
       end if
@@ -344,5 +350,19 @@
   end if
 
-  if (dsigma(i).eq.0.) dsigma(i)=1.0001   ! avoid floating exception
+  !  if (dsigma(i).eq.0.) dsigma(i)=1.0001   ! avoid floating exception
+  if (dsigma(i).le.1.) then !dsigma(i)=1.0001   ! avoid floating exception
+    !write(*,*) '#### FLEXPART MODEL ERROR!                      ####'
+    write(*,*) '#### FLEXPART MODEL WARNING                     ####'
+    write(*,*) '#### in SPECIES_',aspecnumb, '                             ####'
+    write(*,*) '#### from v10.4 dsigma has to be larger than 1  ####'  
+    write(*,*) '#### to adapt older SPECIES files,              ####' 
+    write(*,*) '#### if dsigma was < 1                          ####' 
+    write(*,*) '#### use the reciprocal of the old dsigma       ####'  
+    if (.not.debug_mode) then 
+       stop
+    else
+       write(*,*) 'debug mode: continue'
+    endif
+  endif
 
   if ((reldiff(i).gt.0.).and.(density(i).gt.0.)) then
